rm(list=ls())
getwd()
setwd("C:/Users/DSU/Desktop/Rob")

unhcr<- read.csv("unhcr.csv", na.strings="", stringsAsFactors=FALSE)


ref14<-subset(unhcr, unhcr$Syrian.Refugees != "NA" & unhcr$Year==2014)
ref13<-subset(unhcr, unhcr$Syrian.Refugees != "NA" & unhcr$Year==2013)
ref12<-subset(unhcr, unhcr$Syrian.Refugees != "NA" & unhcr$Year==2012)
ref11<-subset(unhcr, unhcr$Syrian.Refugees != "NA" & unhcr$Year==2011)
ref10<-subset(unhcr, unhcr$Syrian.Refugees != "NA" & unhcr$Year==2010)

names(ref14)
library(googleVis)

G14 <- gvisGeoChart(ref14, locationvar='Country.territory.of.asylum.residence', colorvar='Syrian.Refugees', options=list(projection="kavrayskiy-vii"))

plot(G14)

G13 <- gvisGeoChart(ref13, locationvar='Country.territory.of.asylum.residence', colorvar='Syrian.Refugees', options=list(projection="kavrayskiy-vii"))

plot(G13)

G12 <- gvisGeoChart(ref12, locationvar='Country.territory.of.asylum.residence', colorvar='Syrian.Refugees', options=list(projection="kavrayskiy-vii"))

plot(G12)


G11 <- gvisGeoChart(ref11, locationvar='Country.territory.of.asylum.residence', colorvar='Syrian.Refugees', options=list(projection="kavrayskiy-vii"))

plot(G11)

G10 <- gvisGeoChart(ref10, locationvar='Country.territory.of.asylum.residence', colorvar='Syrian.Refugees', options=list(projection="kavrayskiy-vii"))

plot(G10)

